Bug 2788 - Win 2k3 SP1 cannot open samba shares but an XP system can
Win 2k3 SP1 cannot open samba shares but an XP system can
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Client Tools
3.0.14a
x86 Windows 2003
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-10 10:19 UTC by Mike
Modified: 2005-09-29 08:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike 2005-06-10 10:19:32 UTC
The system in question is running Windows 2k3 SP1 and is my active directory 
server.  I have a Samba 3.0.14a system successfully joined to the domain.  If 
I don't join the domain I can mount the Samba shares just fine.  The second I 
join the domain with an XP/2000 system I cannot join the shares.  I can't join 
the shares directly from the Windows 2k3 SP1 system either.  Here is the error 
I get:

[2005/05/23 19:51:31, 1] smbd/sesssetup.c:reply_spnego_kerberos(250)
  Username DOMAIN+John\ Doe is invalid on this system
[2005/05/23 19:51:31, 1] smbd/sesssetup.c:reply_spnego_kerberos(250)
  Username DOMAIN+John\ Doe is invalid on this system
[2005/05/23 19:51:31, 1] smbd/sesssetup.c:reply_spnego_kerberos(250)
  Username DOMAIN+John\ Doe is invalid on this system
[2005/05/23 19:51:31, 1] smbd/sesssetup.c:reply_spnego_kerberos(250)
  Username DOMAIN+John\ Doe is invalid on this system
[2005/06/07 15:43:23, 1] smbd/sesssetup.c:reply_spnego_kerberos(250)
  Username DOMAIN+John\ Doe is invalid on this system
[2005/06/07 15:43:23, 1] smbd/sesssetup.c:reply_spnego_kerberos(250)
  Username DOMAIN+John\ Doe is invalid on this system

It looks like when the Windows 2k3 SP1 system tries to open the share it 
parses user names with spaces in them with a "\".  Using a usermap doesn't fix 
this.
Comment 1 robert kastl 2005-06-22 04:36:43 UTC
Dear all,
On http://samba.sernet.de/ they offer a samba that fixed the 2k3sp1 problem.

Or did i understand this bug here wrong?

Best Regards
Robert
Comment 2 Gerald (Jerry) Carter 2005-09-29 08:40:30 UTC
closing